<?php



require_once 'Classes/Model/ObservationSet.php';
require_once GREEN_ZONE_DIR . 'Utils/GZ_DataMapper.php';



class ObsSetMapper extends GZ_DataMapper
{
  // PUBLIC

  public function __construct()
  {
    parent::__construct();
    
    $this->MakeMapping( 'primary_key', 'GetObservationHeader()->GetFileID' );
    $this->MakeMapping( 'file_id', 'GetObservationHeader()->GetFileID' );
    $this->MakeMapping( 'rajd', 'GetObservationHeader()->GetCoordinates()->GetRA', 'ToDegrees' );
    $this->MakeMapping( 'decjd', 'GetObservationHeader()->GetCoordinates()->GetDEC', 'ToDegrees' );
    $this->MakeMapping( 'data_type', 'GetObservationHeader()->GetDataType' );
    $this->MakeMapping( 'filename', 'GetObservationData()->GetDownloadableFile()->GetFilename' );
    $this->MakeMapping( 'data_loc', 'GetObservationData()->GetDownloadableFile()>GetPath' );
    $this->MakeMapping( 'src_name', 'GetObservationHeader()->GetPulsarName' );
    $this->MakeMapping( 'project_id', 'GetObservationHeader()->GetProjectID' );
    $this->MakeMapping( 'obsfreq', 'GetObservationHeader()->GetObsFreq' );
    $this->MakeMapping( 'mjd', 'GetObservationHeader()->GetMJD', 'ToString' );
    $this->MakeMapping( 'ut', 'GetObservationHeader()->GetUT' );
    $this->MakeMapping( 'date', 'GetObservationHeader()->GetDate', 'ToDMYString' );
    $this->MakeMapping( 'bw', 'GetObservationHeader()->GetBW' );
    $this->MakeMapping( 'scanlen', 'GetObservationHeader()->GetScanLen' );
    $this->MakeMapping( 'distance', 'GetObservationHeader()->GetDistance' );
    $this->MakeMapping( 'nbin', 'GetObservationHeader()->GetNBin' );
    $this->MakeMapping( 'nchan', 'GetObservationHeader()->GetNChan' );
    $this->MakeMapping( 'npol', 'GetObservationHeader()->GetNPol' );
    $this->MakeMapping( 'nsub', 'GetObservationHeader()->GetNSub' );

    $this->MakeMapping( 'children', 'GetCalibrationData' );
  }

  // PRIVATE
};




?>